[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TFPSharpInterpolation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a very sharp and square interpolation.

## Declaration

Source position: lazcanvas.pas line 61

`type TFPSharpInterpolation = class(TFPCustomInterpolation)`
`protected`
`procedure Execute(); override;` |  | Paints an image on the Canvas using the specified coordinates and dimensions.
`end;`

## Inheritance

`TFPSharpInterpolation` |  | Implements a very sharp and square interpolation.
`TFPCustomInterpolation`
?
`TObject`

## Description

TFPSharpInterpolation implements a very sharp and square interpolation for stretching, similar to StretchBlt from the Windows API.